Алексей Махоткин

домашняя страница

Autoconf

Go to the first, previous, next, last section, table of contents.


Обновление с версии 1

@anchor{Upgrading}

По большей части Autoconf версии 2 обратно совместим с версией 1. Однако же, в нем появились более удобные способы решения некоторых вещей, а некоторые особенно уродливые способы из версии 1 не поддерживаются. Так что, в зависимости от сложности ваших файлов `configure.in’, вам, может быть, придется вручную скорректировать ваши файлы, чтобы использовать их с Autoconf версии 2. Этот раздел описывает некоторые проблемы, которых можно ожидать при переходе к новой версии. Также, возможно, ваши скрипты configure получат выгоду от использования новых возможностей версии 2; список изменений приведен в файле `NEWS’ дистрибутива Autoconf.

В первую очередь убедитесь, что у вас установлен GNU m4 версии 1.1 или более свежей, предпочтительней использовать версию 1.3 или следующие. Версии до 1.1 имели ошибку, которая препятствовала их работе с Autoconf версии 2. Версии 1.3 и более поздние работают быстрее, чем более ранние версии, поскольку с версии 1.3 GNU m4 имеет более эффективную реализацию diversions и может сохранить свое состояние в файле, который потом может быстро считан обратно.


Go to the first, previous, next, last section, table of contents.

Comments